package jwars.data;

import java.util.Scanner;
import jwars.model.weapons.ArmourModel;
import jwars.model.weapons.VehicleArmourModel;

public class ArmourTable{

  public final static String CATEGORY_NAME = "armour";

  public final float FRONT;
  public final float SIDE;
  public final float REAR;

  public final float ANGLE_FRONT;
  public final float ANGLE_SIDE;
  public final float ANGLE_REAR;

  public ArmourTable(float front, float side, float
      rear, float aFront, float aSide, float aRear){
    FRONT = front;
    SIDE = side;
    REAR = rear;

    ANGLE_FRONT = (float)Math.toRadians(aFront);
    ANGLE_SIDE = (float)Math.toRadians(aSide);
    ANGLE_REAR = (float)Math.toRadians(aRear);
  }

  public ArmourTable(Scanner input){
    this(input.nextFloat(),
         input.nextFloat(),
         input.nextFloat(),
         input.nextFloat(),
         input.nextFloat(),
         input.nextFloat());
  }

}
