package jwars.data;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Scanner;
import jwars.model.units.Artillery;

public class ArtilleryCategory extends UnitCategory {

  public final static String CATEGORY_NAME = "artillery";
  public final List<WeaponCategory> weaponry;// = new ArrayList<WeaponCategory>();

  public ArtilleryCategory(Loader loader, Scanner input){
    super(loader, input);
    ArrayList<WeaponCategory> weaponry = new ArrayList<WeaponCategory>();
    String next = input.next();
    WeaponCategory w = loader.getWeapon(next);
    weaponry.add(w);
    //while( !(next=input.next()).equals(Syntax.TERMINATOR)){
    //  WeaponCategory w = loader.getWeapon(next);
    //  weaponry.add(w);
    //}
    weaponry.trimToSize();
    this.weaponry = Collections.unmodifiableList(weaponry);
  }

  public Artillery create(){
    return new Artillery(this);
  }

}
