package jwars.model.weapons;

import jwars.model.DynamicSprite;

public class Shell{

  private DynamicSprite impactSprite;
  private DynamicSprite muzzleFlash;
  public final ShellType type;

  public Shell(ShellType type, DynamicSprite impactSprite, DynamicSprite muzzleFlash){
    this.type = type;
    this.impactSprite = impactSprite;
    this.muzzleFlash = muzzleFlash;
  }

  public DynamicSprite getImpactSprite(){
    return impactSprite;
  }

  public DynamicSprite getMuzzleSprite(){
    return muzzleFlash;
  }

}
