package jwars.control;

import jwars.model.WarModel;

/**
 * Provides static references to the unit selection model and the viewport.
 */
public class Control{

  /**
   * The single unit selection model in this session.
   */
  public final static UnitSelectionModel UNIT_SELECTION = new
      UnitSelectionModel();

  /**
   * The single viewport in this session.
   */
  public final static ViewPort VIEWPORT = new ViewPort(WarModel.PIXEL_COORDS,
      0, 0, 1, 1);

}
