package jwars.data;

import jwars.model.Moveable;
import java.util.Scanner;
import jwars.model.units.AssaultGun;

public class AssaultGunCategory extends MoveableCategory {

  public final static String CATEGORY_NAME = "assaultgun";
  public final HullCategory hull;
  public final HullCategory superStructure;

  public AssaultGunCategory(Loader loader, Scanner input){
    super(loader, input);
    hull = loader.getHullType(input.next());
    superStructure = loader.getHullType(input.next());
  }

  public Moveable create(){
    return new AssaultGun(this);
  }

}
