package jwars.data;

import java.util.Scanner;

public class Syntax{

  public final static String BLOCK_START = "begin";
  public final static String TERMINATOR = "end";
  public final static String QUOTE = "\"";
  //public final static String QUOTE_PATTERN = "\"[^\"\r\n]*\"";
  public final static String QUOTE_PATTERN = QUOTE+"[^"+QUOTE+"\r\n]*"+QUOTE;

  public static String readNameRemoveQuotationMarks(Scanner input){
    String nameWithQuotationMarks = input.findWithinHorizon(Syntax.QUOTE_PATTERN, 0);
    return nameWithQuotationMarks.replaceAll(Syntax.QUOTE, "");
  }

}
