package jwars.model.ai;

import java.util.Iterator;

/**
 * <p>q w</p>
 *
 * <p>q w</p>
 *
 * <p>e r</p>
 *
 * <p>r t</p> y u i o
 */
public interface MobileAI extends Iterable<Position>{

  public void orderMove(ListeningAI source, int x, int y);
  public void appendMove(ListeningAI source, int x, int y);
  public void prependMove(ListeningAI source, int x, int y);
  public void orderHalt(ListeningAI source);

  /**
   * This method should be invoked whenever the destination is changed. I.e.,
   * every time an order is carried out.
   *
   * The method is be implemented to provide any customized functionality when
   * orders are given.
   *
   * @param x x-coordinate of destination
   * @param y y-coordinate of destination
   */
  public void setDestination(int x,int y);

  public boolean isMoving();

}
